Subject: Re: bug#21773: guix package -u "*" fails

From: [email-masked] (Ludovic Courtès)
Date: Wed, 28 Oct 2015 15:59:26 +0100

"Thompson, David" <[email-masked]> skribis:

> On Wed, Oct 28, 2015 at 8:44 AM, Jan Synáček <[email-masked]> wrote:
>> I installed guix on my Fedora 23 machine according to
>> https://www.gnu.org/software/guix/manual/html_node/Binary-Installation.html#Binary-Installation.
>> After that, I don't recall installing anything but guile. When I attempt to
>> run the following command, I see a backtrace.
>
> That's because '*' isn't a valid regular expression.

Right, so if you want to upgrade all the packages, you can run either:

  guix package -u

or:

  guix package -u '.*'

Anyway, the backtrace was clearly sub-optimal.  Commit fd688c8 fixes
that.  Now you’d get this:

--8<---------------cut here---------------start------------->8---
$ LC_ALL=cs_CZ.utf8 ./pre-inst-env guix package -u '*'
guix package: error: '*' is not a valid regular expression: Nepřípustný předchozí regulární výraz
--8<---------------cut here---------------end--------------->8---

Thank you!

Ludo’.